%define oname gnome-desktop

%define	api_version	3
%define api		3.0
%define lib_major	10

%define libname		%mklibname %{oname} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{oname} %{api_version}
%define gi_libname	%mklibname %{oname}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Package containing code shared among gnome-session, gnome-control-center, nautilus, etc
Name:		%{oname}3
Version:	3.14.2
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		http://www.gnome.org
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.21.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.4
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext) >= 1.2
BuildRequires:	pkgconfig(xrandr) >= 1.2
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	gtk-doc
BuildRequires:	scrollkeeper
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	ldetect-lst
BuildRequires:	iso-codes
Requires:	ldetect-lst >= 0.1.282
Obsoletes:	%{name}-common < 2.91.92
Conflicts:	gnome-desktop-common < 2.32.1-2

%description
This package contains some data files and other shared components of the
GNOME user environment.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	%{_lib}%{oname}-3_2 = %{version}-%{release}
Obsoletes:	%{_lib}%{oname}-3_2 < %{version}-%{release}

%description -n %{libname}
This package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop.

%package -n %{gi_libname}
Summary:	GObject Introspection interface description for %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname}
GObject Introspection interface description for %{oname}.

%package -n %{libnamedev}
Summary:	Static libraries, include files for %{oname}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{gi_libname} = %{version}

%description -n %{libnamedev}
Static libraries, include files for internal library libgnomedesktop.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x \
	--with-gnome-distributor="%{_vendor}" \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids
%make

%install
%makeinstall_std 

%find_lang %{oname}-%{api}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{oname}-%{api}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome/gnome-version.xml
%{_libexecdir}/gnome-rr-debug
/usr/share/help/C/fdl/index.docbook
/usr/share/help/C/gpl/index.docbook
/usr/share/help/C/lgpl/index.docbook
/usr/share/help/ar/fdl/index.docbook
/usr/share/help/ar/gpl/index.docbook
/usr/share/help/ar/lgpl/index.docbook
/usr/share/help/ca/fdl/index.docbook
/usr/share/help/ca/gpl/index.docbook
/usr/share/help/ca/lgpl/index.docbook
/usr/share/help/cs/gpl/index.docbook
/usr/share/help/de/fdl/index.docbook
/usr/share/help/de/gpl/index.docbook
/usr/share/help/de/lgpl/index.docbook
/usr/share/help/el/fdl/index.docbook
/usr/share/help/el/gpl/index.docbook
/usr/share/help/el/lgpl/index.docbook
/usr/share/help/es/fdl/index.docbook
/usr/share/help/es/gpl/index.docbook
/usr/share/help/es/lgpl/index.docbook
/usr/share/help/eu/fdl/index.docbook
/usr/share/help/eu/gpl/index.docbook
/usr/share/help/eu/lgpl/index.docbook
/usr/share/help/fi/gpl/index.docbook
/usr/share/help/fi/lgpl/index.docbook
/usr/share/help/fr/fdl/index.docbook
/usr/share/help/fr/gpl/index.docbook
/usr/share/help/fr/lgpl/index.docbook
/usr/share/help/gl/fdl/index.docbook
/usr/share/help/gl/gpl/index.docbook
/usr/share/help/hu/fdl/index.docbook
/usr/share/help/hu/gpl/index.docbook
/usr/share/help/hu/lgpl/index.docbook
/usr/share/help/ko/fdl/index.docbook
/usr/share/help/ko/gpl/index.docbook
/usr/share/help/ko/lgpl/index.docbook
/usr/share/help/nds/gpl/index.docbook
/usr/share/help/oc/fdl/index.docbook
/usr/share/help/oc/gpl/index.docbook
/usr/share/help/oc/lgpl/index.docbook
/usr/share/help/pa/gpl/index.docbook
/usr/share/help/pa/lgpl/index.docbook
/usr/share/help/pl/fdl/index.docbook
/usr/share/help/pt_BR/fdl/index.docbook
/usr/share/help/pt_BR/gpl/index.docbook
/usr/share/help/pt_BR/lgpl/index.docbook
/usr/share/help/sl/fdl/index.docbook
/usr/share/help/sl/gpl/index.docbook
/usr/share/help/sl/lgpl/index.docbook
/usr/share/help/sr/gpl/index.docbook
/usr/share/help/sr@latin/gpl/index.docbook
/usr/share/help/sv/fdl/index.docbook
/usr/share/help/sv/gpl/index.docbook
/usr/share/help/sv/lgpl/index.docbook
/usr/share/help/uk/fdl/index.docbook
/usr/share/help/uk/gpl/index.docbook
/usr/share/help/uk/lgpl/index.docbook
/usr/share/help/vi/fdl/index.docbook
/usr/share/help/vi/gpl/index.docbook
/usr/share/help/vi/lgpl/index.docbook
/usr/share/help/zh_CN/fdl/index.docbook
/usr/share/help/zh_CN/gpl/index.docbook
/usr/share/help/zh_CN/lgpl/index.docbook

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/GnomeDesktop-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GnomeDesktop-%{api}.gir


%changelog
* Fri Feb 09 2018 adrianomorselli <adrianomorselli> 3.14.2-1uplos2018
- imported for uplos manokwar
